slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVGetRandomContext

Gets the PetscRandom object associated with the BV.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetRandomContext(BV bv,PetscRandom* rand)

Collective

### Input Parameter

| bv | - the basis vectors context

### Output Parameter

| rand | - the random number generator context

### See Also

BVSetRandomContext(), BVSetRandom(), BVSetRandomNormal(), BVSetRandomColumn(), BVSetRandomCond()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c

### Examples

src/pep/tutorials/ex16.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages